Bug 1007482 - CVE-2013-4181 ovirt-engine: RedirectServlet cross-site scripting flaw
CVE-2013-4181 ovirt-engine: RedirectServlet cross-site scripting flaw
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Alexander Wels
ux
:
Depends On:
Blocks: CVE-2013-4181
  Show dependency treegraph
 
Reported: 2013-09-12 10:53 EDT by Petr Matousek
Modified: 2013-09-23 03:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:26:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19152 None None None Never
oVirt gerrit 19153 None None None Never
oVirt gerrit 19155 None None None Never
oVirt gerrit 19156 None None None Never

  None (edit)
Description Petr Matousek 2013-09-12 10:53:24 EDT
A cross-site scripting (XSS) flaw was found in the RedirectServlet of the oVirt Engine. A remote attacker could provide a specially-crafted link, that when visited by an unsuspecting oVirt user would lead to arbitrary script execution in the context of the oVirt domain.  Access to the RedirectServer does not require authentication.
Comment 1 Itamar Heim 2013-09-15 03:42:56 EDT
einav - this gerrit ID is for master.
for bug to be ON_QA it should be in the 3.3 branch (and have a build with it?
Comment 2 Einav Cohen 2013-09-16 13:20:08 EDT
(In reply to Itamar Heim from comment #1)
> einav - this gerrit ID is for master.
> for bug to be ON_QA it should be in the 3.3 branch (and have a build with it?

I haven't actually put it on ON_QA, nevertheless:
- patch has been merged to every possible branch, not only "master" (will update the External Tracker shortly)
- http://lists.ovirt.org/pipermail/users/2013-September/016268.html (3.2 Async announcement)
- http://lists.ovirt.org/pipermail/users/2013-September/016269.html (3.3 announcement)
Comment 3 Itamar Heim 2013-09-23 03:26:39 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.